<form
  [formGroup]="postUpdateForm"
  (ngSubmit)="postUpdateform(postUpdateForm.value)"
>
  <h3>Post</h3>
  <div class="form-group">
    <label for="exampleInputEmail1">title</label>
    <input
      type="text"
      class="form-control"
      placeholder="Enter title"
      formControlName="description"
    />
  </div>
  <div class="form-group mb-2">
    <div class="form-check form-switch">
      <input
        class="form-check-input"
        type="checkbox"
        role="switch"
        id="flexSwitchCheckDefault"
        formControlName="completed"
      />
      <label class="form-check-label" for="flexSwitchCheckDefault"
        >Completed</label
      >
    </div>
    </div>
  <button type="submit" class="btn btn-primary">Submit</button>
</form>
